$colorBlue: #1b2132;
$colorBlack: rgb(0, 0, 0);
$colorWhite: rgb(255, 255, 255);

// Some of the colors are using RGB so an opacity can be applied to it via rgba. Example: rgba($colorWhite, 0.2)

:host {
    background-color: $colorBlue;
    color: $colorWhite;
    display: block;
    min-height: 100vh;
}

.hero.is-transparent {
    background-color: transparent;
}

.hero.is-transparent .title, .subtitle {
    color: $colorWhite;
}

// Text Editor

.editor {
    border-radius: 20px !important;
}

.editor > div {
    border-radius: 20px !important;
}

.grid {
    display: grid;
    grid-template-columns: 2fr 4fr;
}

.card.active {
    cursor: pointer;
    box-shadow: rgba(233, 233, 233, 0.767) 0px 0px 10px;;
    background-color: #262f49;
}

::placeholder {
    color: white;
}

input {
    background-color: #1b2132;
    color: white;
}

button, button:hover, button:active, button:focus {
    background-color: #1b2132;
    color: white;
}

p{
    color: white;
    padding: 10px;
}

.card {
    border-radius: 30px;
    margin-bottom: 15px;
}

.responseTemplate {
    text-align: center;
    font-size: 24px;
}

.messageTemplate {
    text-align: center;
    font-size: 24px;
    padding-top: 20px;
}

.editorMessageTemplate {
    margin-left: 5%;
    margin-right: 5%;
    padding-bottom: 60px;
}

.editorResponseTemplate {
    margin-left: 5%;
    margin-right: 5%;
}

.messageDesc {
    text-align: center;
    font-size: 24px;
    font-weight: bold;
    font-style: italic;
}

.topicsHeader {
    text-align: center;
    font-size: 28px;
    padding-bottom: 20px;
}

.cardStyle {
    margin-bottom: 20px;
    padding-left: 16px;
}

.cardHeaderStyle {
    padding-top: 10px;
    padding-bottom: 20px;
}



.centerContent2 {
    display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  min-height: 70vh;
}

.centerContent3 {
    display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  min-height: 70vh;
}

h1, h2 {
    font-weight: bold;
    font-style: italic;
}

::ng-deep.tox.tox-tinymce {
    border-radius: 30px;
    box-shadow: rgba(233, 233, 233, 0.767) -11px 12px 20px 0px;
}